export default (function (projectId) {
  return {
    autoQuery: false,
    selection: false,
    paging: false,
    transport: {
      read: function read(_ref) {
        var data = _ref.data;
        return {
          url: "market/v1/projects/".concat(projectId, "/deploy/application/version/").concat(data.marketVersionId, "?type=").concat(data.type || 'image'),
          method: 'get'
        };
      }
    }
  };
});